Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Name_Binding Class Reference

Maintains a mapping from name to value and type. More...

`#include <Name_Space.h>`

Collaboration diagram for ACE_Name_Binding:

[legend]
List of all members.

## Public Member Functions
| ACE_Name_Binding (const ACE_NS_WString &n, const ACE_NS_WString &v, const char *t)
| Main constructor that initializes all the fields.
| ACE_Name_Binding (void)
| Default constructor.
| ACE_Name_Binding (const ACE_Name_Binding &)
| Copy constructor.
void | operator= (const ACE_Name_Binding &)
| Assignment operator.
| ~ACE_Name_Binding (void)
| Destructor.
bool | operator== (const ACE_Name_Binding &s) const
| Test for equality.
## Public Attributes
ACE_NS_WString | name_
| Name of the binding.
ACE_NS_WString | value_
| Value of the binding.
char * | type_
| Type of the binding.

## Detailed Description

Maintains a mapping from name to value and type.

## Constructor & Destructor Documentation

ACE_Name_Binding::ACE_Name_Binding | ( | const ACE_NS_WString & | n,
|  | const ACE_NS_WString & | v,
|  | const char * | t
| ) |

| Main constructor that initializes all the fields.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Name_Binding::ACE_Name_Binding | ( | void |  | ) |

| Default constructor.

ACE_Name_Binding::ACE_Name_Binding | ( | const ACE_Name_Binding & |  | ) |

| Copy constructor.

ACE_Name_Binding::~ACE_Name_Binding | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_Name_Binding::operator= | ( | const ACE_Name_Binding & |  | ) |

| Assignment operator.

bool ACE_Name_Binding::operator== | ( | const ACE_Name_Binding & | s | ) | const

| Test for equality.

## Member Data Documentation

ACE_NS_WString ACE_Name_Binding::name_

| Name of the binding.

char* ACE_Name_Binding::type_

| Type of the binding.

ACE_NS_WString ACE_Name_Binding::value_

| Value of the binding.

The documentation for this class was generated from the following files:

- Name_Space.h
- Name_Space.cpp